# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'localSettingsDialog.ui'
#
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_localSettingsDialog(object):
    def setupUi(self, localSettingsDialog):
        localSettingsDialog.setObjectName("localSettingsDialog")
        localSettingsDialog.resize(518, 327)
        self.verticalLayout = QtWidgets.QVBoxLayout(localSettingsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.settings_tabs = QtWidgets.QTabWidget(localSettingsDialog)
        self.settings_tabs.setObjectName("settings_tabs")
        self.miscSettings_tab = QtWidgets.QWidget()
        self.miscSettings_tab.setObjectName("miscSettings_tab")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.miscSettings_tab)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.label_13 = QtWidgets.QLabel(self.miscSettings_tab)
        self.label_13.setObjectName("label_13")
        self.gridLayout_6.addWidget(self.label_13, 3, 0, 1, 1)
        self.primaryMetarStation_edit = QtWidgets.QLineEdit(self.miscSettings_tab)
        self.primaryMetarStation_edit.setObjectName("primaryMetarStation_edit")
        self.gridLayout_6.addWidget(self.primaryMetarStation_edit, 0, 1, 1, 1)
        self.line_2 = QtWidgets.QFrame(self.miscSettings_tab)
        self.line_2.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.gridLayout_6.addWidget(self.line_2, 4, 0, 1, 3)
        self.uncontrolledVFRcode_edit = QtWidgets.QSpinBox(self.miscSettings_tab)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.uncontrolledVFRcode_edit.sizePolicy().hasHeightForWidth())
        self.uncontrolledVFRcode_edit.setSizePolicy(sizePolicy)
        self.uncontrolledVFRcode_edit.setWrapping(True)
        self.uncontrolledVFRcode_edit.setMaximum(7777)
        self.uncontrolledVFRcode_edit.setProperty("value", 7000)
        self.uncontrolledVFRcode_edit.setObjectName("uncontrolledVFRcode_edit")
        self.gridLayout_6.addWidget(self.uncontrolledVFRcode_edit, 3, 1, 1, 1)
        self.transitionAltitude_edit = QtWidgets.QSpinBox(self.miscSettings_tab)
        self.transitionAltitude_edit.setMinimum(1000)
        self.transitionAltitude_edit.setMaximum(20000)
        self.transitionAltitude_edit.setSingleStep(1000)
        self.transitionAltitude_edit.setObjectName("transitionAltitude_edit")
        self.gridLayout_6.addWidget(self.transitionAltitude_edit, 1, 1, 1, 1)
        self.altOffsetForAiTraffic_edit = QtWidgets.QSpinBox(self.miscSettings_tab)
        self.altOffsetForAiTraffic_edit.setMinimum(-500)
        self.altOffsetForAiTraffic_edit.setMaximum(500)
        self.altOffsetForAiTraffic_edit.setObjectName("altOffsetForAiTraffic_edit")
        self.gridLayout_6.addWidget(self.altOffsetForAiTraffic_edit, 5, 1, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.miscSettings_tab)
        self.label_14.setObjectName("label_14")
        self.gridLayout_6.addWidget(self.label_14, 0, 0, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.miscSettings_tab)
        self.label_16.setObjectName("label_16")
        self.gridLayout_6.addWidget(self.label_16, 1, 0, 1, 1)
        self.altOffsetForAiTraffic_label = QtWidgets.QLabel(self.miscSettings_tab)
        self.altOffsetForAiTraffic_label.setObjectName("altOffsetForAiTraffic_label")
        self.gridLayout_6.addWidget(self.altOffsetForAiTraffic_label, 5, 0, 1, 1)
        self.settings_tabs.addTab(self.miscSettings_tab, "")
        self.xpdrRanges_tab = QtWidgets.QWidget()
        self.xpdrRanges_tab.setObjectName("xpdrRanges_tab")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.xpdrRanges_tab)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.gridLayout_5 = QtWidgets.QGridLayout()
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.range4_groupBox = QtWidgets.QGroupBox(self.xpdrRanges_tab)
        self.range4_groupBox.setCheckable(True)
        self.range4_groupBox.setChecked(False)
        self.range4_groupBox.setObjectName("range4_groupBox")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.range4_groupBox)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.upperSQ4_edit = QtWidgets.QLineEdit(self.range4_groupBox)
        self.upperSQ4_edit.setObjectName("upperSQ4_edit")
        self.gridLayout_4.addWidget(self.upperSQ4_edit, 1, 3, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.range4_groupBox)
        self.label_11.setObjectName("label_11")
        self.gridLayout_4.addWidget(self.label_11, 1, 2, 1, 1)
        self.rangeName4_edit = QtWidgets.QLineEdit(self.range4_groupBox)
        self.rangeName4_edit.setObjectName("rangeName4_edit")
        self.gridLayout_4.addWidget(self.rangeName4_edit, 0, 1, 1, 3)
        self.lowerSQ4_edit = QtWidgets.QLineEdit(self.range4_groupBox)
        self.lowerSQ4_edit.setObjectName("lowerSQ4_edit")
        self.gridLayout_4.addWidget(self.lowerSQ4_edit, 1, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.range4_groupBox)
        self.label_10.setObjectName("label_10")
        self.gridLayout_4.addWidget(self.label_10, 0, 0, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.range4_groupBox)
        self.label_12.setObjectName("label_12")
        self.gridLayout_4.addWidget(self.label_12, 1, 0, 1, 1)
        self.gridLayout_5.addWidget(self.range4_groupBox, 1, 2, 1, 1)
        self.range3_groupBox = QtWidgets.QGroupBox(self.xpdrRanges_tab)
        self.range3_groupBox.setCheckable(True)
        self.range3_groupBox.setChecked(False)
        self.range3_groupBox.setObjectName("range3_groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.range3_groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.lowerSQ3_edit = QtWidgets.QLineEdit(self.range3_groupBox)
        self.lowerSQ3_edit.setObjectName("lowerSQ3_edit")
        self.gridLayout_3.addWidget(self.lowerSQ3_edit, 1, 1, 1, 1)
        self.upperSQ3_edit = QtWidgets.QLineEdit(self.range3_groupBox)
        self.upperSQ3_edit.setObjectName("upperSQ3_edit")
        self.gridLayout_3.addWidget(self.upperSQ3_edit, 1, 3, 1, 1)
        self.rangeName3_edit = QtWidgets.QLineEdit(self.range3_groupBox)
        self.rangeName3_edit.setObjectName("rangeName3_edit")
        self.gridLayout_3.addWidget(self.rangeName3_edit, 0, 1, 1, 3)
        self.label_7 = QtWidgets.QLabel(self.range3_groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout_3.addWidget(self.label_7, 0, 0, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.range3_groupBox)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 1, 0, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.range3_groupBox)
        self.label_8.setObjectName("label_8")
        self.gridLayout_3.addWidget(self.label_8, 1, 2, 1, 1)
        self.gridLayout_5.addWidget(self.range3_groupBox, 0, 2, 1, 1)
        self.range2_groupBox = QtWidgets.QGroupBox(self.xpdrRanges_tab)
        self.range2_groupBox.setCheckable(True)
        self.range2_groupBox.setChecked(False)
        self.range2_groupBox.setObjectName("range2_groupBox")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.range2_groupBox)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_6 = QtWidgets.QLabel(self.range2_groupBox)
        self.label_6.setObjectName("label_6")
        self.gridLayout_2.addWidget(self.label_6, 1, 0, 1, 1)
        self.lowerSQ2_edit = QtWidgets.QLineEdit(self.range2_groupBox)
        self.lowerSQ2_edit.setObjectName("lowerSQ2_edit")
        self.gridLayout_2.addWidget(self.lowerSQ2_edit, 1, 1, 1, 1)
        self.rangeName2_edit = QtWidgets.QLineEdit(self.range2_groupBox)
        self.rangeName2_edit.setObjectName("rangeName2_edit")
        self.gridLayout_2.addWidget(self.rangeName2_edit, 0, 1, 1, 3)
        self.label_4 = QtWidgets.QLabel(self.range2_groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout_2.addWidget(self.label_4, 0, 0, 1, 1)
        self.upperSQ2_edit = QtWidgets.QLineEdit(self.range2_groupBox)
        self.upperSQ2_edit.setObjectName("upperSQ2_edit")
        self.gridLayout_2.addWidget(self.upperSQ2_edit, 1, 3, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.range2_groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout_2.addWidget(self.label_5, 1, 2, 1, 1)
        self.gridLayout_5.addWidget(self.range2_groupBox, 1, 0, 1, 1)
        self.range1_groupBox = QtWidgets.QGroupBox(self.xpdrRanges_tab)
        self.range1_groupBox.setCheckable(True)
        self.range1_groupBox.setChecked(False)
        self.range1_groupBox.setObjectName("range1_groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.range1_groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.lowerSQ1_edit = QtWidgets.QLineEdit(self.range1_groupBox)
        self.lowerSQ1_edit.setObjectName("lowerSQ1_edit")
        self.gridLayout.addWidget(self.lowerSQ1_edit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.range1_groupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.rangeName1_edit = QtWidgets.QLineEdit(self.range1_groupBox)
        self.rangeName1_edit.setObjectName("rangeName1_edit")
        self.gridLayout.addWidget(self.rangeName1_edit, 0, 1, 1, 3)
        self.upperSQ1_edit = QtWidgets.QLineEdit(self.range1_groupBox)
        self.upperSQ1_edit.setObjectName("upperSQ1_edit")
        self.gridLayout.addWidget(self.upperSQ1_edit, 1, 3, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.range1_groupBox)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.range1_groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.gridLayout_5.addWidget(self.range1_groupBox, 0, 0, 1, 1)
        self.line = QtWidgets.QFrame(self.xpdrRanges_tab)
        self.line.setFrameShape(QtWidgets.QFrame.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.gridLayout_5.addWidget(self.line, 0, 1, 2, 1)
        self.verticalLayout_2.addLayout(self.gridLayout_5)
        self.settings_tabs.addTab(self.xpdrRanges_tab, "")
        self.verticalLayout.addWidget(self.settings_tabs)
        self.buttonBox = QtWidgets.QDialogButtonBox(localSettingsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label_13.setBuddy(self.uncontrolledVFRcode_edit)
        self.label_14.setBuddy(self.primaryMetarStation_edit)
        self.label_16.setBuddy(self.transitionAltitude_edit)
        self.altOffsetForAiTraffic_label.setBuddy(self.altOffsetForAiTraffic_edit)
        self.label_11.setBuddy(self.upperSQ4_edit)
        self.label_10.setBuddy(self.rangeName4_edit)
        self.label_12.setBuddy(self.lowerSQ4_edit)
        self.label_7.setBuddy(self.rangeName3_edit)
        self.label_9.setBuddy(self.lowerSQ3_edit)
        self.label_8.setBuddy(self.upperSQ3_edit)
        self.label_6.setBuddy(self.lowerSQ2_edit)
        self.label_4.setBuddy(self.rangeName2_edit)
        self.label_5.setBuddy(self.upperSQ2_edit)
        self.label.setBuddy(self.rangeName1_edit)
        self.label_3.setBuddy(self.upperSQ1_edit)
        self.label_2.setBuddy(self.lowerSQ1_edit)

        self.retranslateUi(localSettingsDialog)
        self.settings_tabs.setCurrentIndex(0)
        self.buttonBox.rejected.connect(localSettingsDialog.reject)
        self.range1_groupBox.toggled['bool'].connect(self.rangeName1_edit.setFocus)
        self.range3_groupBox.toggled['bool'].connect(self.rangeName3_edit.setFocus)
        self.range4_groupBox.toggled['bool'].connect(self.rangeName4_edit.setFocus)
        self.range2_groupBox.toggled['bool'].connect(self.rangeName2_edit.setFocus)
        QtCore.QMetaObject.connectSlotsByName(localSettingsDialog)
        localSettingsDialog.setTabOrder(self.settings_tabs, self.primaryMetarStation_edit)
        localSettingsDialog.setTabOrder(self.primaryMetarStation_edit, self.transitionAltitude_edit)
        localSettingsDialog.setTabOrder(self.transitionAltitude_edit, self.uncontrolledVFRcode_edit)
        localSettingsDialog.setTabOrder(self.uncontrolledVFRcode_edit, self.altOffsetForAiTraffic_edit)
        localSettingsDialog.setTabOrder(self.altOffsetForAiTraffic_edit, self.range1_groupBox)
        localSettingsDialog.setTabOrder(self.range1_groupBox, self.rangeName1_edit)
        localSettingsDialog.setTabOrder(self.rangeName1_edit, self.lowerSQ1_edit)
        localSettingsDialog.setTabOrder(self.lowerSQ1_edit, self.upperSQ1_edit)
        localSettingsDialog.setTabOrder(self.upperSQ1_edit, self.range2_groupBox)
        localSettingsDialog.setTabOrder(self.range2_groupBox, self.rangeName2_edit)
        localSettingsDialog.setTabOrder(self.rangeName2_edit, self.lowerSQ2_edit)
        localSettingsDialog.setTabOrder(self.lowerSQ2_edit, self.upperSQ2_edit)
        localSettingsDialog.setTabOrder(self.upperSQ2_edit, self.range3_groupBox)
        localSettingsDialog.setTabOrder(self.range3_groupBox, self.rangeName3_edit)
        localSettingsDialog.setTabOrder(self.rangeName3_edit, self.lowerSQ3_edit)
        localSettingsDialog.setTabOrder(self.lowerSQ3_edit, self.upperSQ3_edit)
        localSettingsDialog.setTabOrder(self.upperSQ3_edit, self.range4_groupBox)
        localSettingsDialog.setTabOrder(self.range4_groupBox, self.rangeName4_edit)
        localSettingsDialog.setTabOrder(self.rangeName4_edit, self.lowerSQ4_edit)
        localSettingsDialog.setTabOrder(self.lowerSQ4_edit, self.upperSQ4_edit)
        localSettingsDialog.setTabOrder(self.upperSQ4_edit, self.buttonBox)

    def retranslateUi(self, localSettingsDialog):
        _translate = QtCore.QCoreApplication.translate
        self.label_13.setText(_translate("localSettingsDialog", "Uncontrolled VFR transponder code:"))
        self.transitionAltitude_edit.setSuffix(_translate("localSettingsDialog", " ft"))
        self.altOffsetForAiTraffic_edit.setSuffix(_translate("localSettingsDialog", " ft"))
        self.label_14.setText(_translate("localSettingsDialog", "Primary METAR station:"))
        self.label_16.setText(_translate("localSettingsDialog", "Transition altitude:"))
        self.altOffsetForAiTraffic_label.setText(_translate("localSettingsDialog", "Altitude adjustment for AI traffic sent to views:"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.miscSettings_tab), _translate("localSettingsDialog", "Misc. settings"))
        self.range4_groupBox.setTitle(_translate("localSettingsDialog", "Assignment range 4"))
        self.label_11.setText(_translate("localSettingsDialog", "to"))
        self.label_10.setText(_translate("localSettingsDialog", "Name:"))
        self.label_12.setText(_translate("localSettingsDialog", "SQ codes:"))
        self.range3_groupBox.setTitle(_translate("localSettingsDialog", "Assignment range 3"))
        self.label_7.setText(_translate("localSettingsDialog", "Name:"))
        self.label_9.setText(_translate("localSettingsDialog", "SQ codes:"))
        self.label_8.setText(_translate("localSettingsDialog", "to"))
        self.range2_groupBox.setTitle(_translate("localSettingsDialog", "Assignment range 2"))
        self.label_6.setText(_translate("localSettingsDialog", "SQ codes:"))
        self.label_4.setText(_translate("localSettingsDialog", "Name:"))
        self.label_5.setText(_translate("localSettingsDialog", "to"))
        self.range1_groupBox.setTitle(_translate("localSettingsDialog", "Assignment range 1"))
        self.label.setText(_translate("localSettingsDialog", "Name:"))
        self.label_3.setText(_translate("localSettingsDialog", "to"))
        self.label_2.setText(_translate("localSettingsDialog", "SQ codes:"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.xpdrRanges_tab), _translate("localSettingsDialog", "Transponder ranges"))

